curl --request GET \
--url https://api.pinecone.io/workspaces/{workspace_name} \
--header 'Api-Key: <api-key>' \
--header 'X-Pinecone-Api-Version: <x-pinecone-api-version>'import requests
url = "https://api.pinecone.io/workspaces/{workspace_name}"
headers = {
"X-Pinecone-Api-Version": "<x-pinecone-api-version>",
"Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Pinecone-Api-Version': '<x-pinecone-api-version>', 'Api-Key': '<api-key>'}
};
fetch('https://api.pinecone.io/workspaces/{workspace_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2026-06-01T00:00:00.000Z",
"host": "production-c01b5b5.wksp.aws-us-east-1-b921.byoc.pinecone.io",
"name": "production",
"spec": {
"byoc": {
"environment": "aws-us-east-1-b921.byoc"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"updated_at": "2026-06-01T00:00:00.000Z"
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Invalid API key."
},
"status": 401
}{
"error": {
"code": "NOT_FOUND",
"message": "Workspace example-workspace not found."
},
"status": 404
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}Describe a workspace
Get a description of a workspace.
Authorizations
Headers
Required date-based version header
Path Parameters
The name of the workspace to be described. The name of the workspace. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.
1 - 45"example-workspace"
Response
Configuration information and status of the workspace.
Describes a workspace, a project-scoped grouping of contexts.
The name of the workspace. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.
1 - 45"example-workspace"
The spec object defines the environment in which the workspace's contexts are created. Workspaces are created in a customer-managed BYOC (Bring Your Own Cloud) environment.
Show child attributes
Show child attributes
The URL address where the workspace is hosted.
"production-c01b5b5.wksp.prod.pinecone.io"
The date and time the workspace was created.
"2026-06-21T00:00:00.000Z"
The date and time the workspace was last updated.
"2026-06-21T00:00:00.000Z"
The current status of the workspace.
Show child attributes
Show child attributes
{ "ready": true, "state": "Ready" }
Was this page helpful?